#include "auto_array.h"


struct Web_Anchor {
    Vec2 position;
    Rigid_Body rb;
    int index;
    bool tied_to_background;
};

struct Web_Strand {
    Web_Anchor *anchor0;
    Web_Anchor *anchor1;
};

void select_anchor(int index);
int get_anchor();
void save_web();
void load_web();
void add_anchor(Vec2 position, float radius);
void connect_to_selected(int index);
void delete_anchor();

extern Auto_Array <Web_Anchor *> web_anchors;
extern Auto_Array <Web_Strand *> web_strands;

extern int selected_anchor;
